Bug 838186 - SELinux is preventing /usr/bin/evince-thumbnailer from 'write' accesses on the file .gnome_desktop_thumbnail.LMPRGW.
SELinux is preventing /usr/bin/evince-thumbnailer from 'write' accesses on th...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c77ceb4e1f43946435597bb40c9...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 19:42 EDT by trevor
Modified: 2012-10-17 04:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 04:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trevor 2012-07-06 19:42:30 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.x86_64
time:           Sat 07 Jul 2012 09:42:05 EST

description:
:SELinux is preventing /usr/bin/evince-thumbnailer from 'write' accesses on the file .gnome_desktop_thumbnail.LMPRGW.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that evince-thumbnailer should be allowed write access on the .gnome_desktop_thumbnail.LMPRGW file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep evince-thumbnai /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                .gnome_desktop_thumbnail.LMPRGW [ file ]
:Source                        evince-thumbnai
:Source Path                   /usr/bin/evince-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           evince-3.4.0-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.x86_64 #1
:                              SMP Mon Jun 18 19:53:17 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sat 07 Jul 2012 09:39:18 EST
:Last Seen                     Sat 07 Jul 2012 09:39:18 EST
:Local ID                      352c91a2-229c-4b9a-9fe4-2b9df87ac722
:
:Raw Audit Messages
:type=AVC msg=audit(1341617958.521:77): avc:  denied  { write } for  pid=2166 comm="evince-thumbnai" name=".gnome_desktop_thumbnail.LMPRGW" dev="sda5" ino=2372876 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1341617958.521:77): arch=x86_64 syscall=open success=no exit=EACCES a0=11a39b0 a1=241 a2=1b6 a3=238 items=0 ppid=2127 pid=2166 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=evince-thumbnai exe=/usr/bin/evince-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: evince-thumbnai,thumb_t,user_home_t,file,write
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-07-09 03:48:41 EDT
Where is the .gnome_desktop_thumbnail.LMPRGW file located in your home dir?
Comment 2 Daniel Walsh 2012-07-10 22:14:05 EDT
trevor, could you execute

restorecon -R -v ~

And see if it changes any files to thumb_home_t?
Comment 3 trevor 2012-07-11 05:44:07 EDT
Doug, Miroslav,  Sorry not to reply earlier.  I am away from home for a few days, ans should be able to follow up tomorrow, when I get home.

Note You need to log in before you can comment on or make changes to this bug.